> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search subnet child

> Search subnet child



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/ipv4/child/search
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4/child/search:
    get:
      tags:
        - Market
      summary: Search subnet child
      description: Search subnet child
      operationId: API-Pub-Market-IPV4-Child-Search
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: address
          in: query
          description: IPV4 child address
          required: true
          schema:
            type: string
        - name: cidr
          in: query
          description: IPV4 child  cidr
          required: true
          schema:
            type: integer
        - name: market_service_uuid
          in: query
          description: Parent IPV4 ip market service uuid
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Resources.IPMarket.ChildIPV4Resource
            example:
              address: string
              mask: 0
              is_hidden: true
              is_reserved: true
              is_leased: true
              price: 0
              is_part_of_subnet_leased_or_reserved: true
              hiding_reason: string
      responses:
        '200':
          description: Billing Service
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.ChildIPV4Resource
              example:
                address: string
                mask: 0
                is_hidden: true
                is_reserved: true
                is_leased: true
                price: 0
                is_part_of_subnet_leased_or_reserved: true
                hiding_reason: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Unprocessable Entity
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.ChildIPV4Resource:
      type: object
      properties:
        address:
          type: string
        mask:
          type: integer
        is_hidden:
          type: boolean
        is_reserved:
          type: boolean
        is_leased:
          type: boolean
        price:
          type: number
          format: float
        is_part_of_subnet_leased_or_reserved:
          type: boolean
        hiding_reason:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````